Bug 82489 - SVG Inline content incorrectly sizes
: SVG Inline content incorrectly sizes
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: SVG
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Nobody
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 11:18 PDT by Stephen Chenney
Modified: 2014-05-13 08:09 PDT (History)
4 users (show)

See Also:


Attachments
Repro case (321 bytes, text/html)
2012-03-28 11:18 PDT, Stephen Chenney
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen Chenney 2012-03-28 11:18:06 PDT
Created attachment 134346 [details]
Repro case

When svg is included inline with text in an html document with the width defined and a viewbox, it negotiates a 100% height. Other browsers set the height to preserve the given width and aspect ratio from the viewbox, as one would hope for.
Comment 1 Nikolas Zimmermann 2012-03-29 00:22:21 PDT
As noted in the other bug report 82487, intrinsic sizing for inline SVG is just not implemented yet. Fortunately the framework for that is finished, it's just a matter of actually finishing it :-)
Comment 2 Zach Leatherman 2012-09-27 15:18:58 PDT
Just a note for future visitors, I had luck setting max-height: 100% on the inline svg element as a workaround.
Comment 3 Dirk Schulze 2014-05-13 08:09:43 PDT
Fixed as well.